Collections

List public collections

GET/api/v1/collections

List shared collections with public skills.

Base URLhttps://llm-skills.com
AuthenticationBearer token
Access

API access included in your plan.

Query params

qoptional
string

Search by name.

Headers

Authorizationrequired
string

Bearer header containing an active API key.

Example: Bearer llms_api_keyConstraints: Create it from Profile > API keys. Keep it server side.

Request examples

cURL
curl "https://llm-skills.com/api/v1/collections"
  -H "Authorization: Bearer llms_api_key"

Responses and errors

200SuccessPublic collections.
JSON
{
  "data": { "collections": [] }
}
401Missing or invalid keyAuthorization header missing, malformed or revoked key.
JSON
{
  "error": "Invalid or revoked API key"
}
403Unauthorized accessThe current plan or permissions do not allow this route.
JSON
{
  "error": "API access is available with a plan that includes API access"
}